summaryrefslogtreecommitdiff
path: root/Microbenchmarks/WRAM/run-transfer.sh
diff options
context:
space:
mode:
authorBirte Kristina Friesel <birte.friesel@uos.de>2023-12-15 15:09:15 +0100
committerBirte Kristina Friesel <birte.friesel@uos.de>2023-12-15 15:09:15 +0100
commita3e2763c547352544b320aaab626d173680a6a15 (patch)
tree097b81aed17b7e95516db05e61b5dbfebda43fd2 /Microbenchmarks/WRAM/run-transfer.sh
parent3341ff57ab4464a4c3d15504df228ddc779c9fd4 (diff)
WRAM copy: report latency and throughput
Diffstat (limited to 'Microbenchmarks/WRAM/run-transfer.sh')
-rwxr-xr-xMicrobenchmarks/WRAM/run-transfer.sh29
1 files changed, 21 insertions, 8 deletions
diff --git a/Microbenchmarks/WRAM/run-transfer.sh b/Microbenchmarks/WRAM/run-transfer.sh
index 7c4a179..c707fbe 100755
--- a/Microbenchmarks/WRAM/run-transfer.sh
+++ b/Microbenchmarks/WRAM/run-transfer.sh
@@ -1,5 +1,14 @@
#!/bin/bash
+# The DPU application reads BL<<2 sized blocks of data from MRAM to WRAM via
+# DMA (mram_read). It then performs the specified type of copy operation
+# (i.e., streaming copy / strided copy / copy of random elements) within this
+# block and writes the result back from WRAM to MRAM via DMA (mram_write).
+# By default (MEM=WRAM), each tasklet reports the total number of cycles
+# spent in the WRAM-to-WRAM copy operation. With MEM=MRAM, each tasklet instead
+# reports the total number of cycles spent in MRAM processing: DMA read,
+# WRAM-to-WRAM copy, and DMA write.
+
set -e
(
@@ -8,19 +17,21 @@ echo "prim-benchmarks WRAM microbenchmark (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for ndpu in 1 4 8 16; do
- for ntask in 1 2 4 8 12 16 20; do
+for ndpu in 1 4 8 16 32 48 64 128 256; do
+ for ntask in 1 2 4 8 16; do
for bl in 4 5 6 7 8 9 10 11; do
for op in streaming strided random; do
if make -B NR_DPUS=$ndpu NR_TASKLETS=$ntask BL=$bl OP=$op; then
- bin/host_code -w 0 -e 10 || true
+ bin/host_code -w 0 -e 50 || true
fi
done
done
done
done
echo "Completed at $(date)"
-) | tee "log-$(hostname)-wram-only.txt"
+) | tee "log-$(hostname)-wram.txt"
+rm -f "log-$(hostname)-wram.txt"
+xz -v -9 -M 800M "log-$(hostname)-wram.txt"
(
@@ -28,16 +39,18 @@ echo "prim-benchmarks WRAM microbenchmark (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-for ndpu in 1 4 8 16; do
- for ntask in 1 2 4 8 12 16 20; do
+for ndpu in 1 4 8 16 32 48 64 128 256; do
+ for ntask in 1 2 4 8 16; do
for bl in 4 5 6 7 8 9 10 11; do
for op in streaming strided random; do
if make -B NR_DPUS=$ndpu NR_TASKLETS=$ntask BL=$bl OP=$op MEM=MRAM; then
- bin/host_code -w 0 -e 10 || true
+ bin/host_code -w 0 -e 50 || true
fi
done
done
done
done
echo "Completed at $(date)"
-) | tee "log-$(hostname)-wram-mram.txt"
+) | tee "log-$(hostname)-mram.txt"
+rm -f "log-$(hostname)-mram.txt"
+xz -v -9 -M 800M "log-$(hostname)-mramd.txt"